#!/bin/sh
#
# Increment Services build number

VERSION="1.5.8"

#
# $Log: version.sh,v $
# Revision 1.131  2003/10/24 00:40:26  dane
# Release 1.5.8
#
# Revision 1.130  2003/10/22 13:58:44  certus
# CHAN_INFO_TIME_REGGED fix in pt.l
#
# Revision 1.129  2003/10/20 20:54:23  certus
# fixed 0000280  - pt.l tab issue
#
# Revision 1.128  2003/10/19 21:42:23  rob
# Added a very basic thread-safe tokenizer to misc.c - well added the most useful function which was missing from the existing ones.. .:)
#
# Revision 1.127  2003/10/17 20:00:39  dane
# Normalized all language files.
#
# Revision 1.126  2003/10/17 19:59:56  dane
# Fixed putanope script. Fixed double TAB on all languages (0000283)
#
# Revision 1.125  2003/10/08 16:23:32  rob
# Fixed compile errors on PTLink and Ultimate3 (worth another release?)
# Applied a patch ShadowMaster posted on the forums to support NickIP AKILL match's :)
# Changed the -r tag to -rc for release candidate, as it appears were now using release candidates instead of revisions :)
#
# Revision 1.124  2003/10/07 02:25:50  dane
# Setup for further cvs commits.
#
# Revision 1.123  2003/10/07 01:25:42  dane
# Release 1.5.7 prep
#
# Revision 1.122  2003/10/06 11:48:32  keeper
# Fixed botserv creation bug when using services-aliases (strcasecmp instead of !strcasecmp)
#
# Revision 1.121  2003/10/05 21:34:17  rob
# Made the change to modules.c that i intended - guess my email wasnt very clear, i didnt have alot of time to write it and only had web cvs to look at the code on :)
#
# anyway - i've fix the obvious issue i could see which would make anope just seg after a command which was loaded, was unloaded and then called - i HAVE NOT tested this with keepers change's altho i cant see anything that i think will break.
#
# and im going to bed now :)
#
# Revision 1.120  2003/10/05 18:57:10  dane
# Modunload fix asked by Rob.
#
# Revision 1.119  2003/10/05 18:41:39  dane
# Updated es.l file
#
# Revision 1.118  2003/10/05 18:26:42  dane
# Fixed the bug that would not make services use the vident internaly,
# hence bans and shuch where against the real hostname. A new macro was
# created, named GetIdent(u), use instead of u->username.
#
# Revision 1.117  2003/10/05 15:50:42  dane
# Fixed bug 0000270 for memo order reset upon deletion.
# Normalized language files again.
#
# Revision 1.116  2003/10/05 14:32:08  certus
# Added /ns update to replace further identifies, /ns identify will now only work once
#
# Revision 1.115  2003/10/05 13:26:01  dane
# Language file normalization. Minor change to putanope script.
#
# Revision 1.114  2003/10/05 13:20:27  dane
# Cosmetic changes
#
# Revision 1.113  2003/10/03 13:47:52  keeper
# Added check_unload function to modules so that they can unload themselves
# after AnopeInit. Useful for on-error-unloading, see hs_moo for example.
#
# Revision 1.112  2003/10/03 13:29:08  keeper
# Added MysqlPort directive.
#
# Revision 1.111  2003/09/27 15:34:06  rob
# Corrected a moduleCallBack bug - if a module callback was added while acting on a message, and not a command, the module owner was not set, as such, if a module was unloaded while a callback was in the queue, it would not be deleted from the queue, so when it was time to execute it, it tried to execute a pointer to a function which no longer existed :)
#
# Revision 1.110  2003/09/25 19:29:03  rob
# Some minor tidying up, ensured hs_moo.c and ircd_catserv.c compile witout warnings when using -W and -Wall
#
# Revision 1.109  2003/09/24 18:32:04  rob
# Fixed a nasty bug with mod_tail unloading - and added a nifty if(debug) feature for dealing with modules - go on try it, (un)load a module in debug mode and read those logs, you know you want to.... :)
#
# Revision 1.108  2003/09/22 21:46:08  rob
# Fixed a bug with putanope script, it was cvs-tagging my whole ./Anope/* dir instead of just ./Anope/anope-dev - so i might have attached some incorrect tags to anope-rel - it wont effect anyone tho so its ok... :/
#
# Revision 1.107  2003/09/22 21:40:25  rob
# Added module help system, and updated hs_moo to show it in use! :)
#
# Revision 1.106  2003/09/22 17:05:19  rob
# putanope will now (optional) tag all commits - pressing enter when asked will use the current version number as the tag, entering "NONE" will not tag the commit
#
# Revision 1.105  2003/09/21 21:34:46  rob
# forgot to do version / indent, so i'll just run putanope with no changes :)
#
# Revision 1.104  2003/09/21 18:28:04  rob
# Fixed a bug involving a module attaching to both MOD_HEAD and MOD_TAIL of the same command - added a new module command, " char *moduleGetLastBuffer(void); " this will allow module coders to request a pointer to a copy of the command that was sent to services, as the strtok() buffer will be modifed by strtok() :/
#
# Revision 1.103  2003/09/13 20:27:30  certus
# I have noe idea why this shit isn't working how it should, but I'm gonna roll back to the last file version, so mlock +M won't work until I have found the problem. It's not a smart solution, but better than segfaults and DB crashs.
#
# Revision 1.102  2003/09/13 18:57:17  rob
# Corrected a duplicate entry in fr.l :/
#
# Revision 1.101  2003/09/13 18:42:49  certus
# okay guys, this is my last attempt to fix +M mlock, if it doesn't work, I'm gonna spend a beer :P
#
# Revision 1.100  2003/09/13 17:53:56  rob
# Corrected an error in all lang files (cept en_us.l) which caused the oper help to be displayed twice, once in english, once in given language.
#
# Revision 1.99  2003/09/13 17:17:08  certus
# ups, +R was already added :P
#
# Revision 1.98  2003/09/13 17:03:36  certus
# Added mlockmodes +R and +M for unreal and removed +H
#
# Revision 1.97  2003/09/07 20:52:55  certus
# Fixed a small bug where some parts of the hostserv help were not displayed to hostsetters
#
# Revision 1.96  2003/09/07 17:39:50  dane
# Fixed proxy compile warning
#
# Revision 1.95  2003/09/07 17:10:31  dane
# Fixed bug 121 where clearmodes does not work.
#
# Revision 1.94  2003/09/07 17:02:59  dane
# Propagation of bug fixes for 194 and 217.
#
# Revision 1.93  2003/09/04 20:42:58  rob
# ./configure will now check for the existance of RTLD_LOCAL and only try to enforce it if its present - this should let module support compile on openBSD
#
# Revision 1.92  2003/09/04 18:55:34  rob
# Mirror'ed changes in anope-rel ref: http://www.anope.org/bug/bug_view_advanced_page.php?bug_id=0000170
#
# Revision 1.91  2003/09/02 11:32:02  dane
# putanope test.
#
# Revision 1.90  2003/08/31 01:02:00  rob
# Corrected an issue with moduleCallback's and paramaters - eugh 4 hrs and i was only missing a "=" sign... :)
#
# Revision 1.89  2003/08/30 20:48:14  rob
# akilled client's joining the network now get a user_struct made, and then deleted when the quit is sent.  This is to allow for ircd's which have excmpt lines in the .conf, so instead of services just assuiming the gline will be honored, we build a user stuct and dont delete it until we know we can do so.
#
# Revision 1.88  2003/08/20 01:36:34  keeper
# Fixed a little bug in german language file ("registriert and geschtzt"
# instead of "registriert und geschtzt")
#
# Revision 1.87  2003/08/16 22:13:47  rob
# Added moduleAddCallback command for module coders.
#
# Revision 1.86  2003/08/16 10:46:42  rob
# Forgot version number :)
#
# Revision 1.85  2003/08/15 17:51:52  rob
# Added module timmer call-back's - see hs_moo.c for a basic example.
#
# Revision 1.84  2003/08/04 01:09:43  dane
# Another stab at the socket nick registration. Still not working properly.
# Fixed Channel DROP then FORBID crash on MySQL (0000199)
#
# Revision 1.83  2003/07/28 20:45:03  dane
# Expanded the extsocket feature a little. As a prototype it can take:
# "register nick pass email" to register a nick with full error checking.
# The reply is preceeded by the string numeric, and for now just sent
# to the logchan, not back to the socket.
#
# Revision 1.82  2003/07/28 14:51:42  dane
# Fixed HostServ launch on Viagra and PTlink (0000190)
#
# Revision 1.81  2003/07/28 00:54:54  dane
# BotServ bots are now +S on ULTIMATE3 (0000159)
#
# Revision 1.80  2003/07/28 00:08:17  dane
# Fixed NICK_IS_REGISTER dupe on Hybrid (0000184)
#
# Revision 1.79  2003/07/27 21:51:08  dane
# Fixed previous compile error. Note that I added a new field on the user_
# structure char * vident. I'm not sure where to use it yet...
#
# Revision 1.78  2003/07/27 20:45:18  dane
# Fixed bug 0000187 and added vindent to the user structure.
#
# Revision 1.77  2003/07/27 17:08:59  dane
# Fixed Bug 0000188 for PTlink /newmask support. Also, shuffled some nifty
# functions from hostserv.c to misc.c so they can be used throughout.
#
# Revision 1.76  2003/07/25 19:47:46  atoledo
# Added (VERY EXPERIMENTAL) external socket support.
# To compile, enable using configure. To enable, there are 3 configuration entries that need to be set. See Changes.conf for an explanation.
#
# Revision 1.75  2003/07/25 08:57:31  rob
# Moved veriable declares to the top of functions for some #ifdef'ed ircds - hopefully it'll sort out bug ref: http://www.anope.org/bug/bug_view_advanced_page.php?bug_id=0000183
#
# Revision 1.74  2003/07/24 02:13:36  dane
# Fixed the INSERT duplicate key mysql error that flooded the log files.
#
# Revision 1.73  2003/07/22 20:10:17  dane
# Fixed SENDALL from STAFF to SENDALL (0000179)
#
# Revision 1.72  2003/07/22 18:40:39  dane
# Fixed minor badwords things.
#
# Revision 1.71  2003/07/22 16:59:59  atoledo
# Added badwords to MySQL save. Note that a new anope_cs_badwords table is required.
#
# Revision 1.70  2003/07/22 04:24:09  dane
# ChannelServ time. Made ci_id keep it's value across updates.
# It also required a rtq on /CS DROP. Some performance changes,
# and optimization of the table schema for anope_cs_info.
#
# Revision 1.69  2003/07/22 03:15:08  dane
# Made nick aliases also preserve their id upon /OS RELOAD. This goes
# with adding real time queries to /NS GROUP
#
# Revision 1.68  2003/07/21 20:49:30  dane
# Well... another step to preserve the MySQL id. Now MySQL get's updated in
# real time (part of phase 3) on /NS SET DISPLAY and /NS DROP. Note that on
# the drop, it goes down to the Channel level to make appropiate changes.
#
# Revision 1.67  2003/07/21 15:05:04  dane
# Better implementation of ns_id preservation. Also, some optimization
# on the MySQL tables.sql schema (NickServ only, for now).
#
# Revision 1.66  2003/07/21 01:23:40  dane
# Fixed /NS SET DISPLAY MySQL query.
#
# Revision 1.65  2003/07/21 00:57:46  dane
# Made MySQL ns_id more meaningful by preserving its value across
# updates. This is at a cost of one extra query per new record only.
#
# Revision 1.64  2003/07/20 23:55:24  dane
# Fixed my previous PTlink sbuf fix :)
#
# Revision 1.63  2003/07/20 23:38:54  dane
# Fixed PTlink sbuf compile error
#
# Revision 1.62  2003/07/20 14:23:04  dane
# Added MySQL Optimizations
#
# Revision 1.61  2003/07/20 13:51:42  rob
# Forgot version, now set to 1.5.6-r11
#
# Revision 1.60  2003/07/20 01:53:15  dane
# Setup for development towards 1.5.7
#
# Revision 1.59  2003/07/20 01:45:48  dane
# Release 1.5.6
#
# Revision 1.58  2003/07/20 01:45:10  dane
# Fixed Changes files
#
# Revision 1.57  2003/07/20 01:39:05  dane
# Fixed DEFCON_GLOBAL on all .l that where missing the %d
#
# Revision 1.56  2003/07/20 01:15:50  dane
# Code cleanup, documentation update, things moved around. I also got
# rid of the TODO files. I'll transfer all those to Mantis.
#
# Revision 1.55  2003/07/19 21:24:34  dane
# Fixed +oa +qa to work on ModeOnId as well as net-joins.
#
# Revision 1.54  2003/07/18 00:47:50  keeper
# Commited again after adding if's for checking if channel is forbidden.
# (Unable to free if chan was forbidden, fixed now)
#
# Revision 1.53  2003/07/17 20:47:26  keeper
# Fixed mysql.c for older gcc versions (2.95.4 tested).
#
# Revision 1.52  2003/07/17 16:08:43  keeper
# Fixed mysql.c memory leak (db_mysql_quote results were'nt free'ed).
# (That indent that putanope calls makes the "modified files" list look bigger :o)
#
# Revision 1.51  2003/07/16 18:51:56  dane
# Fixed modules/Makefile.inc ... I'm considering removing this file from
# CVS and make it local to the compilation, as to avoind unwanted modifications
# to it.
#
# Revision 1.50  2003/07/16 18:49:10  dane
# Implemented a less intrusive +oa and +qa. Also did a lot of cleanup, updated
# all .c and .h headers, removed all stale debug blocks (THALES), and fixed
# a few things here and there. Also, added a new script bin/makepatch
#
# Revision 1.49  2003/07/16 04:42:03  dane
# Removed compression on new utilities.
#
# Revision 1.48  2003/07/16 04:33:57  dane
# Added bin directory with misc tools.
#
# Revision 1.47  2003/07/16 03:26:20  dane
# Added "getmods" target to modules/compile.sh.
# Test of CVS Log substitution.
#
#

if [ -f version.h ] ; then
	BUILD=`fgrep '#define BUILD' version.h | sed 's/^#define BUILD.*"\([0-9]*\)".*$/\1/'`
	BUILD=`expr $BUILD + 1 2>/dev/null`
else
	BUILD=1
fi
if [ ! "$BUILD" ] ; then
	BUILD=1
fi
cat >version.h <<EOF
/* Version information for Services.
 *
 * (C) 2003 Anope Team
 * Contact us at info@anope.org
 *
 * Please read COPYING and CREDITS for furhter details.
 *
 * Based on the original code of Epona by Lara.
 * Based on the original code of Services by Andy Church. 
 * 
 * This file is auto-generated by version.sh
 *
 */

#define BUILD	"$BUILD"

const char version_number[] = "$VERSION";
const char version_build[] =
	"build #" BUILD ", compiled " __DATE__ " " __TIME__;

const char version_protocol[] =
#if defined(IRC_ULTIMATE3)
 	"UltimateIRCd 3.0.0.a26+"
#define VER_IRCD "UltimateIRCd 3.0.* -"
#elif defined(IRC_VIAGRA)
	"ViagraIRCd 1.3.x"
# define VER_IRCD "ViagraIRCd 1.3.* -"
#elif defined(IRC_BAHAMUT)
	"Bahamut 1.4.27+"
# define VER_IRCD "BahamutIRCd 1.4.* -"
#elif defined(IRC_ULTIMATE)
	"UltimateIRCd 2.8.2+"
# define VER_IRCD "UltimateIRCd 2.8.* -"
#elif defined(IRC_UNREAL)
	"UnrealIRCd 3.1.1+"
# define VER_IRCD "UnrealIRCd -"
#elif defined(IRC_DREAMFORGE)
	"DreamForge 4.6.7"
# define VER_IRCD "DreamForgeIRCd 4.6.7 -"
#elif defined(IRC_HYBRID)
	"Hybrid IRCd 7.0"
# define VER_IRCD "HybridIRCd 7.* -"
#elif defined(IRC_PTLINK)
       "PTlink 6.14.5+"
# define VER_IRCD "PTlinkIRCd 6.14.* -"
#else
	"unknown"
# define VER_IRCD
#endif
	;

#ifdef DEBUG_COMMANDS
# define VER_DEBUG "D"
#else
# define VER_DEBUG
#endif

#if defined(USE_ENCRYPTION)
# if defined(ENCRYPT_MD5)
#  define VER_ENCRYPTION "E"
# else
#  define VER_ENCRYPTION "E"
# endif
#else
# define VER_ENCRYPTION
#endif

#ifdef USE_THREADS
# define VER_THREAD "T"
#else
# define VER_THREAD
#endif

#if defined(LINUX20)
# define VER_OS "l"
#elif defined(LINUX22)
# define VER_OS "L"
#elif defined(JAGUAR)
# define VER_OS "J"
#elif defined(MACOSX)
# define VER_OS "X"
#else
# define VER_OS
#endif

#if defined(HAVE_GETHOSTBYNAME_R6)
# define VER_GHBNR "6"
#elif defined(HAVE_GETHOSTBYNAME_R5)
# define VER_GHBNR "5"
#elif defined(HAVE_GETHOSTBYNAME_R3)
# define VER_GHBNR "3"
#else
# define VER_GHBNR
#endif

#if defined(USE_MYSQL)
# define VER_MYSQL "Q"
#else
# define VER_MYSQL
#endif

#if defined(USE_MODULES)
# define VER_MODULE "M"
#else
# define VER_MODULE
#endif

#if defined(USE_EXTSOCK)
# define VER_EXTSOCK "S"
#else
# define VER_EXTSOCK
#endif

const char version_flags[] = VER_IRCD VER_DEBUG VER_ENCRYPTION VER_THREAD VER_OS VER_GHBNR VER_MYSQL VER_MODULE VER_EXTSOCK;

EOF
